Ecommerce 24 endpoints

DELETE /ecommerce/stores/{store_id}/products/{product_id}

Delete a product.

operationId: Ecommerce_deleteProduct

Parameters

Name In Required Type Description
store_id path required string

The store id.

product_id path required string

The id for the product of a store.

Responses

default

An error generated by the Mailchimp API.

204

Empty Response

DELETE /ecommerce/stores/{store_id}/products/{product_id}
GET /ecommerce/stores/{store_id}/products/{product_id}

Get information about a specific product.

operationId: Ecommerce_getStoreProductInfo

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

store_id path required string

The store id.

product_id path required string

The id for the product of a store.

Responses

default

An error generated by the Mailchimp API.

200
GET /ecommerce/stores/{store_id}/products/{product_id}
PATCH /ecommerce/stores/{store_id}/products/{product_id}

Update a specific product.

operationId: Ecommerce_updateProduct

Parameters

Name In Required Type Description
store_id path required string

The store id.

product_id path required string

The id for the product of a store.

Request Body

required
application/json
schema EcommerceUpdateProductRequest
Property Type Required
url string optional
type string optional
title string optional
handle string optional
images array optional
id string optional
url string optional
variant_ids array optional
vendor string optional
variants array optional
sku string optional
url string optional
price number optional
title string optional
image_url string optional
backorders string optional
visibility string optional
inventory_quantity integer optional
image_url string optional
description string optional
published_at_foreign string optional

Responses

default

An error generated by the Mailchimp API.

200
PATCH /ecommerce/stores/{store_id}/products/{product_id}
GET /ecommerce/stores/{store_id}/products/{product_id}/images

Get information about a product’s images.

operationId: Ecommerce_getProductImages

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

count query optional integer

The number of records to return. Default value is 10. Maximum value is 1000

offset query optional integer

Used for pagination, this it the number of records from a collection to skip. Default value is 0.

store_id path required string

The store id.

product_id path required string

The id for the product of a store.

Responses

default

An error generated by the Mailchimp API.

200
GET /ecommerce/stores/{store_id}/products/{product_id}/images
POST /ecommerce/stores/{store_id}/products/{product_id}/images

Add a new image to the product.

operationId: Ecommerce_addProductImage

Parameters

Name In Required Type Description
store_id path required string

The store id.

product_id path required string

The id for the product of a store.

Request Body

required
application/json
schema EcommerceAddProductImageRequest
Property Type Required
id string required
url string required
variant_ids array optional

Responses

default

An error generated by the Mailchimp API.

200
POST /ecommerce/stores/{store_id}/products/{product_id}/images
DELETE /ecommerce/stores/{store_id}/products/{product_id}/images/{image_id}

Delete a product image.

operationId: Ecommerce_deleteProductImage

Parameters

Name In Required Type Description
store_id path required string

The store id.

product_id path required string

The id for the product of a store.

image_id path required string

The id for the product image.

Responses

default

An error generated by the Mailchimp API.

204

Empty Response

DELETE /ecommerce/stores/{store_id}/products/{product_id}/images/{image_id}
GET /ecommerce/stores/{store_id}/products/{product_id}/images/{image_id}

Get information about a specific product image.

operationId: Ecommerce_getProductImageInfo

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

store_id path required string

The store id.

product_id path required string

The id for the product of a store.

image_id path required string

The id for the product image.

Responses

default

An error generated by the Mailchimp API.

200
GET /ecommerce/stores/{store_id}/products/{product_id}/images/{image_id}
PATCH /ecommerce/stores/{store_id}/products/{product_id}/images/{image_id}

Update a product image.

operationId: Ecommerce_updateProductImage

Parameters

Name In Required Type Description
store_id path required string

The store id.

product_id path required string

The id for the product of a store.

image_id path required string

The id for the product image.

Request Body

required
application/json
schema EcommerceUpdateProductImageRequest
Property Type Required
id string optional
url string optional
variant_ids array optional

Responses

default

An error generated by the Mailchimp API.

200
PATCH /ecommerce/stores/{store_id}/products/{product_id}/images/{image_id}
GET /ecommerce/stores/{store_id}/products/{product_id}/variants

Get information about a product’s variants.

operationId: Ecommerce_listProductVariants

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

count query optional integer

The number of records to return. Default value is 10. Maximum value is 1000

offset query optional integer

Used for pagination, this it the number of records from a collection to skip. Default value is 0.

store_id path required string

The store id.

product_id path required string

The id for the product of a store.

Responses

default

An error generated by the Mailchimp API.

200
GET /ecommerce/stores/{store_id}/products/{product_id}/variants
POST /ecommerce/stores/{store_id}/products/{product_id}/variants

Add a new variant to the product.

operationId: Ecommerce_addProductVariant

Parameters

Name In Required Type Description
store_id path required string

The store id.

product_id path required string

The id for the product of a store.

Request Body

application/json
schema EcommerceAddProductVariantRequest
Property Type Required
id string required
sku string optional
url string optional
price number optional
title string required
image_url string optional
backorders string optional
visibility string optional
inventory_quantity integer optional

Responses

default

An error generated by the Mailchimp API.

200
POST /ecommerce/stores/{store_id}/products/{product_id}/variants
DELETE /ecommerce/stores/{store_id}/products/{product_id}/variants/{variant_id}

Delete a product variant.

operationId: Ecommerce_deleteProductVariant

Parameters

Name In Required Type Description
store_id path required string

The store id.

product_id path required string

The id for the product of a store.

variant_id path required string

The id for the product variant.

Responses

default

An error generated by the Mailchimp API.

204

Empty Response

DELETE /ecommerce/stores/{store_id}/products/{product_id}/variants/{variant_id}
GET /ecommerce/stores/{store_id}/products/{product_id}/variants/{variant_id}

Get information about a specific product variant.

operationId: Ecommerce_getProductVariantInfo

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

store_id path required string

The store id.

product_id path required string

The id for the product of a store.

variant_id path required string

The id for the product variant.

Responses

default

An error generated by the Mailchimp API.

200
GET /ecommerce/stores/{store_id}/products/{product_id}/variants/{variant_id}
PATCH /ecommerce/stores/{store_id}/products/{product_id}/variants/{variant_id}

Update a product variant.

operationId: Ecommerce_updateProductVariant

Parameters

Name In Required Type Description
store_id path required string

The store id.

product_id path required string

The id for the product of a store.

variant_id path required string

The id for the product variant.

Request Body

required
application/json
schema EcommerceUpdateProductVariantRequest
Property Type Required
sku string optional
url string optional
price number optional
title string optional
image_url string optional
backorders string optional
visibility string optional
inventory_quantity integer optional

Responses

default

An error generated by the Mailchimp API.

200
PATCH /ecommerce/stores/{store_id}/products/{product_id}/variants/{variant_id}
PUT /ecommerce/stores/{store_id}/products/{product_id}/variants/{variant_id}

Add or update a product variant.

operationId: Ecommerce_addOrUpdateProductVariant

Parameters

Name In Required Type Description
store_id path required string

The store id.

product_id path required string

The id for the product of a store.

variant_id path required string

The id for the product variant.

Request Body

application/json
schema EcommerceAddProductVariantRequest
Property Type Required
id string required
sku string optional
url string optional
price number optional
title string required
image_url string optional
backorders string optional
visibility string optional
inventory_quantity integer optional

Responses

default

An error generated by the Mailchimp API.

200
PUT /ecommerce/stores/{store_id}/products/{product_id}/variants/{variant_id}
GET /ecommerce/stores/{store_id}/promo-rules

Get information about a store’s promo rules.

operationId: Ecommerce_getStorePromoRules

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

count query optional integer

The number of records to return. Default value is 10. Maximum value is 1000

offset query optional integer

Used for pagination, this it the number of records from a collection to skip. Default value is 0.

store_id path required string

The store id.

Responses

default

An error generated by the Mailchimp API.

200
GET /ecommerce/stores/{store_id}/promo-rules
POST /ecommerce/stores/{store_id}/promo-rules

Add a new promo rule to a store.

operationId: Ecommerce_addPromoRule

Parameters

Name In Required Type Description
store_id path required string

The store id.

Request Body

required
application/json
schema EcommerceAddPromoRuleRequest
Property Type Required
id string required
type string required
title string optional
amount number required
target string required
enabled boolean optional
ends_at string optional
starts_at string optional
description string required
created_at_foreign string optional
updated_at_foreign string optional

Responses

default

An error generated by the Mailchimp API.

200
POST /ecommerce/stores/{store_id}/promo-rules
DELETE /ecommerce/stores/{store_id}/promo-rules/{promo_rule_id}

Delete a promo rule from a store.

operationId: Ecommerce_deletePromoRule

Parameters

Name In Required Type Description
store_id path required string

The store id.

promo_rule_id path required string

The id for the promo rule of a store.

Responses

default

An error generated by the Mailchimp API.

204

Empty Response

DELETE /ecommerce/stores/{store_id}/promo-rules/{promo_rule_id}
GET /ecommerce/stores/{store_id}/promo-rules/{promo_rule_id}

Get information about a specific promo rule.

operationId: Ecommerce_getStorePromoRule

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

store_id path required string

The store id.

promo_rule_id path required string

The id for the promo rule of a store.

Responses

default

An error generated by the Mailchimp API.

200
GET /ecommerce/stores/{store_id}/promo-rules/{promo_rule_id}
PATCH /ecommerce/stores/{store_id}/promo-rules/{promo_rule_id}

Update a promo rule.

operationId: Ecommerce_updatePromoRule

Parameters

Name In Required Type Description
store_id path required string

The store id.

promo_rule_id path required string

The id for the promo rule of a store.

Request Body

required
application/json
schema EcommerceUpdatePromoRuleRequest
Property Type Required
type string optional
title string optional
amount number optional
target string optional
enabled boolean optional
ends_at string optional
starts_at string optional
description string optional
created_at_foreign string optional
updated_at_foreign string optional

Responses

default

An error generated by the Mailchimp API.

200
PATCH /ecommerce/stores/{store_id}/promo-rules/{promo_rule_id}
GET /ecommerce/stores/{store_id}/promo-rules/{promo_rule_id}/promo-codes

Get information about a store’s promo codes.

operationId: Ecommerce_getStorePromoCodes

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

count query optional integer

The number of records to return. Default value is 10. Maximum value is 1000

offset query optional integer

Used for pagination, this it the number of records from a collection to skip. Default value is 0.

promo_rule_id path required string

The id for the promo rule of a store.

store_id path required string

The store id.

Responses

default

An error generated by the Mailchimp API.

200
GET /ecommerce/stores/{store_id}/promo-rules/{promo_rule_id}/promo-codes
POST /ecommerce/stores/{store_id}/promo-rules/{promo_rule_id}/promo-codes

Add a new promo code to a store.

operationId: Ecommerce_addPromoCode

Parameters

Name In Required Type Description
store_id path required string

The store id.

promo_rule_id path required string

The id for the promo rule of a store.

Request Body

required
application/json
schema EcommerceAddPromoCodeRequest
Property Type Required
id string required
code string required
enabled boolean optional
usage_count integer optional
redemption_url string required
created_at_foreign string optional
updated_at_foreign string optional

Responses

default

An error generated by the Mailchimp API.

200
POST /ecommerce/stores/{store_id}/promo-rules/{promo_rule_id}/promo-codes
DELETE /ecommerce/stores/{store_id}/promo-rules/{promo_rule_id}/promo-codes/{promo_code_id}

Delete a promo code from a store.

operationId: Ecommerce_deletePromoCode

Parameters

Name In Required Type Description
store_id path required string

The store id.

promo_rule_id path required string

The id for the promo rule of a store.

promo_code_id path required string

The id for the promo code of a store.

Responses

default

An error generated by the Mailchimp API.

204

Empty Response

DELETE /ecommerce/stores/{store_id}/promo-rules/{promo_rule_id}/promo-codes/{promo_code_id}
GET /ecommerce/stores/{store_id}/promo-rules/{promo_rule_id}/promo-codes/{promo_code_id}

Get information about a specific promo code.

operationId: Ecommerce_getPromoCode

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

store_id path required string

The store id.

promo_rule_id path required string

The id for the promo rule of a store.

promo_code_id path required string

The id for the promo code of a store.

Responses

default

An error generated by the Mailchimp API.

200
GET /ecommerce/stores/{store_id}/promo-rules/{promo_rule_id}/promo-codes/{promo_code_id}
PATCH /ecommerce/stores/{store_id}/promo-rules/{promo_rule_id}/promo-codes/{promo_code_id}

Update a promo code.

operationId: Ecommerce_updatePromoCode

Parameters

Name In Required Type Description
store_id path required string

The store id.

promo_rule_id path required string

The id for the promo rule of a store.

promo_code_id path required string

The id for the promo code of a store.

Request Body

required
application/json
schema EcommerceUpdatePromoCodeRequest
Property Type Required
code string optional
enabled boolean optional
usage_count integer optional
redemption_url string optional
created_at_foreign string optional
updated_at_foreign string optional

Responses

default

An error generated by the Mailchimp API.

200
PATCH /ecommerce/stores/{store_id}/promo-rules/{promo_rule_id}/promo-codes/{promo_code_id}

Facebookads 2 endpoints

GET /facebook-ads

Get list of Facebook ads.

operationId: FacebookAds_listAds

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

count query optional integer

The number of records to return. Default value is 10. Maximum value is 1000

offset query optional integer

Used for pagination, this it the number of records from a collection to skip. Default value is 0.

sort_field query optional string

Returns files sorted by the specified field.

sort_dir query optional string

Determines the order direction for sorted results.

Responses

default

An error generated by the Mailchimp API.

200

List of Facebook Ad Instances

GET /facebook-ads
GET /facebook-ads/{outreach_id}

Get details of a Facebook ad.

operationId: FacebookAds_getInfo

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

outreach_id path required string

The outreach id.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

Responses

default

An error generated by the Mailchimp API.

200

Facebook Ad Instance

GET /facebook-ads/{outreach_id}

Filemanager 11 endpoints

GET /file-manager/files

Get a list of available images and files stored in the File Manager for the account.

operationId: FileManager_listStoredFiles

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

count query optional integer

The number of records to return. Default value is 10. Maximum value is 1000

offset query optional integer

Used for pagination, this it the number of records from a collection to skip. Default value is 0.

type query optional string

The file type for the File Manager file.

created_by query optional string

The Mailchimp account user who created the File Manager file.

before_created_at query optional string

Restrict the response to files created before the set date. Uses ISO 8601 time format: 2015-10-21T15:41:36+00:00.

since_created_at query optional string

Restrict the response to files created after the set date. Uses ISO 8601 time format: 2015-10-21T15:41:36+00:00.

sort_field query optional string

Returns files sorted by the specified field.

sort_dir query optional string

Determines the order direction for sorted results.

Responses

default

An error generated by the Mailchimp API.

200
GET /file-manager/files
POST /file-manager/files

Upload a new image or file to the File Manager.

operationId: FileManager_uploadFile

Request Body

required
application/json
schema FileManagerUploadFileRequest
Property Type Required
name string required
file_data string required
folder_id integer optional

Responses

default

An error generated by the Mailchimp API.

200
POST /file-manager/files
DELETE /file-manager/files/{file_id}

Remove a specific file from the File Manager.

operationId: FileManager_removeFileById

Parameters

Name In Required Type Description
file_id path required string

The unique id for the File Manager file.

Responses

default

An error generated by the Mailchimp API.

204

Empty Response

DELETE /file-manager/files/{file_id}
GET /file-manager/files/{file_id}

Get information about a specific file in the File Manager.

operationId: FileManager_getFile

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

file_id path required string

The unique id for the File Manager file.

Responses

default

An error generated by the Mailchimp API.

200
GET /file-manager/files/{file_id}
PATCH /file-manager/files/{file_id}

Update a file in the File Manager.

operationId: FileManager_updateFile

Parameters

Name In Required Type Description
file_id path required string

The unique id for the File Manager file.

Request Body

required
application/json
schema FileManagerUpdateFileRequest
Property Type Required
name string optional
folder_id integer optional

Responses

default

An error generated by the Mailchimp API.

200
PATCH /file-manager/files/{file_id}
GET /file-manager/folders

Get a list of all folders in the File Manager.

operationId: FileManager_getFolderList

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

count query optional integer

The number of records to return. Default value is 10. Maximum value is 1000

offset query optional integer

Used for pagination, this it the number of records from a collection to skip. Default value is 0.

created_by query optional string

The Mailchimp account user who created the File Manager file.

before_created_at query optional string

Restrict the response to files created before the set date. Uses ISO 8601 time format: 2015-10-21T15:41:36+00:00.

since_created_at query optional string

Restrict the response to files created after the set date. Uses ISO 8601 time format: 2015-10-21T15:41:36+00:00.

Responses

default

An error generated by the Mailchimp API.

200
GET /file-manager/folders
POST /file-manager/folders

Create a new folder in the File Manager.

operationId: FileManager_addNewFolder

Request Body

application/json
schema FileManagerAddNewFolderRequest
Property Type Required
name string required

Responses

default

An error generated by the Mailchimp API.

200
POST /file-manager/folders
DELETE /file-manager/folders/{folder_id}

Delete a specific folder in the File Manager.

operationId: FileManager_deleteFolderById

Parameters

Name In Required Type Description
folder_id path required string

The unique id for the File Manager folder.

Responses

default

An error generated by the Mailchimp API.

204

Empty Response

DELETE /file-manager/folders/{folder_id}
GET /file-manager/folders/{folder_id}

Get information about a specific folder in the File Manager.

operationId: FileManager_getFolderInfo

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

folder_id path required string

The unique id for the File Manager folder.

Responses

default

An error generated by the Mailchimp API.

200
GET /file-manager/folders/{folder_id}
PATCH /file-manager/folders/{folder_id}

Update a specific File Manager folder.

operationId: FileManager_updateSpecificFolder

Parameters

Name In Required Type Description
folder_id path required string

The unique id for the File Manager folder.

Request Body

application/json
schema FileManagerAddNewFolderRequest
Property Type Required
name string required

Responses

default

An error generated by the Mailchimp API.

200
PATCH /file-manager/folders/{folder_id}
GET /file-manager/folders/{folder_id}/files

Get a list of available images and files stored in this folder.

operationId: FileManager_listStoredFiles

Parameters

Name In Required Type Description
folder_id path required string

The unique id for the File Manager folder.

fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

count query optional integer

The number of records to return. Default value is 10. Maximum value is 1000

offset query optional integer

Used for pagination, this it the number of records from a collection to skip. Default value is 0.

type query optional string

The file type for the File Manager file.

created_by query optional string

The Mailchimp account user who created the File Manager file.

before_created_at query optional string

Restrict the response to files created before the set date. Uses ISO 8601 time format: 2015-10-21T15:41:36+00:00.

since_created_at query optional string

Restrict the response to files created after the set date. Uses ISO 8601 time format: 2015-10-21T15:41:36+00:00.

sort_field query optional string

Returns files sorted by the specified field.

sort_dir query optional string

Determines the order direction for sorted results.

Responses

default

An error generated by the Mailchimp API.

200
GET /file-manager/folders/{folder_id}/files

Landingpages 8 endpoints

GET /landing-pages

Get all landing pages.

operationId: LandingPages_list

Parameters

Name In Required Type Description
sort_dir query optional string

Determines the order direction for sorted results.

sort_field query optional string

Returns files sorted by the specified field.

fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

count query optional integer

The number of records to return. Default value is 10. Maximum value is 1000

Responses

default

An error generated by the Mailchimp API.

200

Landing Pages Collection

GET /landing-pages
POST /landing-pages

Create a new Mailchimp landing page.

operationId: LandingPages_createNewMailchimpLandingPage

Parameters

Name In Required Type Description
use_default_list query optional boolean

Will create the Landing Page using the account’s Default List instead of requiring a list_id.

Request Body

required
application/json
schema LandingPagesCreateNewMailchimpLandingPageRequest
Property Type Required
name string optional
type string optional
title string optional
list_id string optional
store_id string optional
tracking object optional
track_with_mailchimp boolean optional
enable_restricted_data_processing boolean optional
description string optional
template_id integer optional

Responses

default

An error generated by the Mailchimp API.

200
POST /landing-pages
DELETE /landing-pages/{page_id}

Delete a landing page.

operationId: LandingPages_deletePage

Parameters

Name In Required Type Description
page_id path required string

The unique id for the page.

Responses

default

An error generated by the Mailchimp API.

204

Empty Response

DELETE /landing-pages/{page_id}
GET /landing-pages/{page_id}

Get information about a specific page.

operationId: LandingPages_getPageInfo

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

page_id path required string

The unique id for the page.

Responses

default

An error generated by the Mailchimp API.

200

Landing Pages Instance

GET /landing-pages/{page_id}
PATCH /landing-pages/{page_id}

Update a landing page.

operationId: LandingPages_updatePageById

Parameters

Name In Required Type Description
page_id path required string

The unique id for the page.

Request Body

required
application/json
schema LandingPagesUpdatePageByIdRequest
Property Type Required
name string optional
title string optional
list_id string optional
store_id string optional
tracking object optional
track_with_mailchimp boolean optional
enable_restricted_data_processing boolean optional
description string optional

Responses

default

An error generated by the Mailchimp API.

200
PATCH /landing-pages/{page_id}
POST /landing-pages/{page_id}/actions/publish

Publish a landing page that is in draft, unpublished, or has been previously published and edited.

operationId: LandingPages_publishAction

Parameters

Name In Required Type Description
page_id path required string

The unique id for the page.

Responses

default

An error generated by the Mailchimp API.

204

Empty Response

POST /landing-pages/{page_id}/actions/publish
POST /landing-pages/{page_id}/actions/unpublish

Unpublish a landing page that is in draft or has been published.

operationId: LandingPages_unpublishAction

Parameters

Name In Required Type Description
page_id path required string

The unique id for the page.

Responses

default

An error generated by the Mailchimp API.

204

Empty Response

POST /landing-pages/{page_id}/actions/unpublish
GET /landing-pages/{page_id}/content

Get the the HTML for your landing page.

operationId: LandingPages_getContent

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

page_id path required string

The unique id for the page.

Responses

default

An error generated by the Mailchimp API.

200
GET /landing-pages/{page_id}/content

Lists 5 endpoints

GET /lists

Get information about all lists in the account.

operationId: Lists_getAllInfo

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

count query optional integer

The number of records to return. Default value is 10. Maximum value is 1000

offset query optional integer

Used for pagination, this it the number of records from a collection to skip. Default value is 0.

before_date_created query optional string

Restrict response to lists created before the set date. Uses ISO 8601 time format: 2015-10-21T15:41:36+00:00.

since_date_created query optional string

Restrict results to lists created after the set date. Uses ISO 8601 time format: 2015-10-21T15:41:36+00:00.

before_campaign_last_sent query optional string

Restrict results to lists created before the last campaign send date. Uses ISO 8601 time format: 2015-10-21T15:41:36+00:00.

since_campaign_last_sent query optional string

Restrict results to lists created after the last campaign send date. Uses ISO 8601 time format: 2015-10-21T15:41:36+00:00.

email query optional string

Restrict results to lists that include a specific subscriber’s email address.

sort_field query optional string

Returns files sorted by the specified field.

sort_dir query optional string

Determines the order direction for sorted results.

has_ecommerce_store query optional boolean

Restrict results to lists that contain an active, connected, undeleted ecommerce store.

include_total_contacts query optional boolean

Return the total_contacts field in the stats response, which contains an approximate count of all contacts in any state.

Responses

default

An error generated by the Mailchimp API.

200
GET /lists
POST /lists

Create a new list in your Mailchimp account.

operationId: Lists_createNewList

Request Body

required
application/json
schema ListsCreateNewListRequest
Property Type Required
name string required
contact object required
zip string optional
city string required
phone string optional
state string optional
company string required
country string required
address1 string required
address2 string optional
double_optin boolean optional
use_archive_bar boolean optional
campaign_defaults object required
subject string required
language string required
from_name string required
from_email string required
email_type_option boolean required
notify_on_subscribe string optional
permission_reminder string required
marketing_permissions boolean optional
notify_on_unsubscribe string optional

Responses

default

An error generated by the Mailchimp API.

200
POST /lists
DELETE /lists/{list_id}

Delete a list from your Mailchimp account. If you delete a list, you’ll lose the list history—including subscriber activity, unsubscribes, complaints, and bounces. You’ll also lose subscribers’ email addresses, unless you exported and backed up your list.

operationId: Lists_deleteList

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

Responses

default

An error generated by the Mailchimp API.

204

Empty Response

DELETE /lists/{list_id}
GET /lists/{list_id}

Get information about a specific list in your Mailchimp account. Results include list members who have signed up but haven’t confirmed their subscription yet and unsubscribed or cleaned.

operationId: Lists_getListInfo

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

list_id path required string

The unique ID for the list.

include_total_contacts query optional boolean

Return the total_contacts field in the stats response, which contains an approximate count of all contacts in any state.

Responses

default

An error generated by the Mailchimp API.

200
GET /lists/{list_id}
PATCH /lists/{list_id}

Update the settings for a specific list.

operationId: Lists_updateSettings

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

Request Body

required
application/json
schema ListsUpdateSettingsRequest
Property Type Required
name string required
contact object required
zip string required
city string required
phone string optional
state string required
company string required
country string required
address1 string required
address2 string optional
double_optin boolean optional
use_archive_bar boolean optional
campaign_defaults object required
subject string required
language string required
from_name string required
from_email string required
email_type_option boolean required
notify_on_subscribe string optional
permission_reminder string required
marketing_permissions boolean optional
notify_on_unsubscribe string optional

Responses

default

An error generated by the Mailchimp API.

200
PATCH /lists/{list_id}
Load more endpoints